const express = require('express');
const cookieParser = require('cookie-parser');
const morgan = require('morgan');
const logger = require('./adapters/winston.logger');

// Third party applications.
const actuator = require('express-actuator');

const cameraRouter = require('./routes/camera');
const app = express();

app.use(morgan("dev", { stream: { write: message => logger.info(message.replace(/\n$/, '')) }}));
app.use(express.json());
app.use(express.urlencoded({ extended: false }));
app.use(cookieParser());
app.use(actuator());

app.use('/api/camera', cameraRouter);

module.exports = app;
